import { Component } from '../../../../../client/component';
import { Element } from '../../../../../client/element';
import { System } from '../../../../../system';
export interface Props {
    value?: string;
}
export default class _Text extends Element<Text, Props> {
    private _text_el;
    constructor($props: Props, $system: System);
    onPropChanged(prop: string, current: any): void;
    focus(options?: FocusOptions | undefined): void;
    blur(): void;
    onMount(): void;
    onUnmount(): void;
    domAppendChild(component: Component): void;
    domRemoveChild(component: Component): void;
    domInsertParentChildAt(component: Component): void;
    domRemoveParentChildAt(component: Component): void;
}
